Subject: [netmod] Fwd: New Version Notification for draft-wu-netmod-factory-default-01.txt

From: Balázs Lengyel <[email-masked]>
Date: Fri, 19 Oct 2018 12:46:44 +0000

Hello,

A new version of I-D, draft-wu-netmod-factory-default-01.txt has
been uploaded. Changes include:

Removed impacts to
<copy-config> as the reset-datastore  RPC can anyway do the
same thing.

Explained the difference between startup and factory-default
datastores

Small corrections.

regards Balazs

-------- Forwarded Message --------

Subject:

New Version Notification for
draft-wu-netmod-factory-default-01.txt

Date:

Fri, 19 Oct 2018 05:30:05 -0700

From:

[email-masked]

To:

Ye Niu <[email-masked]>, Qin Wu
<[email-masked]>, Balazs Lengyel
<[email-masked]>

A new version of I-D, draft-wu-netmod-factory-default-01.txt

has been successfully submitted by Balazs Lengyel and posted to
the

IETF repository.

Name: draft-wu-netmod-factory-default

Revision: 01

Title: Factory default Setting

Document date: 2018-10-19

Group: Individual Submission

Pages: 10

URL:
https://www.ietf.org/internet-drafts/draft-wu-netmod-factory-default-01.txt

Status:
https://datatracker.ietf.org/doc/draft-wu-netmod-factory-default/

Htmlized:
https://tools.ietf.org/html/draft-wu-netmod-factory-default-01

Htmlized:
https://datatracker.ietf.org/doc/html/draft-wu-netmod-factory-default

Diff:
https://www.ietf.org/rfcdiff?url2=draft-wu-netmod-factory-default-01

Abstract:

This document defines a method to reset a YANG datastore to its

factory-default content. The reset operation may be used e.g.
during

initial zero-touch configuration or when the existing
configuration

has major errors, so re-starting the configuration process from

scratch is the best option.

A new reset-datastore RPC is defined. Several methods of
documenting

the factory-default content are specified.

Optionally a new "factory-default-running" read-only datastore is

defined, that contains the data that will be copied over to the

running datastore at reset.

Please note that it may take a couple of minutes from the time of
submission

until the htmlized version and diff are available at
tools.ietf.org.

The IETF Secretariat

--
Balazs Lengyel Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909 email: [email-masked]

---

From: Rohit R Ranade <[email-masked]>
Date: Mon, 22 Oct 2018 04:59:17 +0000

Some suggestions,

1.       In YANG module, the identity has name as “factory-default”, but many places  the name "factory-default-running" is used. I suggest we used “factory-default”in all places.

2.       This YANG module is importing ietf-netconf module. I suggest that this import should be removed as this module should not have dependencies on NETCONF.

3.       The description of this YANG module, still has the reference to <copy-config>.  Whether this can be removed ?

4.       The description of the indentity “factory-default”, suggest to describe the identity rather than tell “how” it can be used.

5.       Whether we can also add the statement that if the “target-datastore”, have been locked , then the reset-datastore will fail with the <error-tag> value as “in-use” ?

6.       Since we have scenario of copy to multiple targets, whether we can add a leaf called the error-option with possible values of “stop-on-error/continue-on-error/rollback-on-error”   ?

With Regards,

Rohit R

From: netmod [mailto:[email-masked]] On Behalf Of Balázs Lengyel
Sent: 19 October 2018 18:17
To: [email-masked]
Subject: [netmod] Fwd: New Version Notification for draft-wu-netmod-factory-default-01.txt

Hello,

A new version of I-D, draft-wu-netmod-factory-default-01.txt has been uploaded. Changes include:
Removed impacts to <copy-config> as the reset-datastore  RPC can anyway do the same thing.
Explained the difference between startup and factory-default datastores
Small corrections.

regards Balazs

-------- Forwarded Message --------
Subject:

New Version Notification for draft-wu-netmod-factory-default-01.txt

Date:

From:

[email-masked]<mailto:[email-masked]>

To:

Ye Niu <[email-masked]><mailto:[email-masked]>, Qin Wu <[email-masked]><mailto:[email-masked]>, Balazs Lengyel <[email-masked]><mailto:[email-masked]>

A new version of I-D, draft-wu-netmod-factory-default-01.txt
has been successfully submitted by Balazs Lengyel and posted to the
IETF repository.

Name: draft-wu-netmod-factory-default
Revision: 01
Title: Factory default Setting
Document date: 2018-10-19
Group: Individual Submission
Pages: 10
URL: https://www.ietf.org/internet-drafts/draft-wu-netmod-factory-default-01.txt
Status: https://datatracker.ietf.org/doc/draft-wu-netmod-factory-default/
Htmlized: https://tools.ietf.org/html/draft-wu-netmod-factory-default-01
Htmlized: https://datatracker.ietf.org/doc/html/draft-wu-netmod-factory-default
Diff: https://www.ietf.org/rfcdiff?url2=draft-wu-netmod-factory-default-01

Abstract:
This document defines a method to reset a YANG datastore to its
factory-default content. The reset operation may be used e.g. during
initial zero-touch configuration or when the existing configuration
has major errors, so re-starting the configuration process from
scratch is the best option.

A new reset-datastore RPC is defined. Several methods of documenting
the factory-default content are specified.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

--

Senior Specialist

Mobile: +36-70-330-7909              email: [email-masked]<mailto:[email-masked]>

---

From: Qin Wu <[email-masked]>
Date: Mon, 22 Oct 2018 06:54:54 +0000

Thanks Rohit, see reply inline below.

发件人: netmod [mailto:[email-masked]] 代表 Rohit R Ranade
发送时间: 2018年10月22日 12:59
收件人: Balázs Lengyel; [email-masked]
主题: Re: [netmod] New Version Notification for draft-wu-netmod-factory-default-01.txt

Some suggestions,

[Qin]: works for me.

[Qin]: Good catch, thanks.

[Qin]: Good catch, thanks.

[Qin]: Okay.

[Qin]: I think we can reuse <error-tag> in the rpc-error element, similar to example in section 7.5 of RFC6241.

   [Qin]: Same as above. Should these error-option values be part of rpc-reply or part of operation request? By reading edit-config,it is also not clear to me whether

       Error-option should be part of edit-config operation that is sent in rpc-request message.

With Regards,

Rohit R

From: netmod [mailto:[email-masked]] On Behalf Of Balázs Lengyel
Sent: 19 October 2018 18:17
To: [email-masked]<mailto:[email-masked]>
Subject: [netmod] Fwd: New Version Notification for draft-wu-netmod-factory-default-01.txt

Hello,

regards Balazs

-------- Forwarded Message --------
Subject:

Date:

From:

To:

Abstract:

The IETF Secretariat

--

Senior Specialist

---

From: Rohit R Ranade <[email-masked]>
Date: Mon, 22 Oct 2018 09:39:18 +0000

[Rohit] <error-option> is an input to the edit-config rpc-request.   So I suggested to have a similar approach. But this multi-datastore copy will be tricky because if we give two targets say <running> / <startup> and if after copy to <running>, copy to <startup> fails,  then how to handle this ?  Revert <running> config ?

I suggest to restrict the copy of factory datastore to a single target datastore for now.
With Regards,
Rohit R

From: Qin Wu
Sent: 22 October 2018 12:25
To: Rohit R Ranade <[email-masked]>; Balázs Lengyel <[email-masked]>; [email-masked]
Subject: RE: New Version Notification for draft-wu-netmod-factory-default-01.txt

发件人: netmod [mailto:[email-masked]] 代表 Rohit R Ranade
发送时间: 2018年10月22日 12:59
收件人: Balázs Lengyel; [email-masked]<mailto:[email-masked]>
主题: Re: [netmod] New Version Notification for draft-wu-netmod-factory-default-01.txt

Some suggestions,

[Qin]: works for me.

[Qin]: Okay.

With Regards,

Rohit R

Hello,

regards Balazs

-------- Forwarded Message --------
Subject:

Date:

From:

To:

Abstract:

The IETF Secretariat

--

Senior Specialist

---

From: Qin Wu <[email-masked]>
Date: Mon, 22 Oct 2018 12:27:52 +0000

发件人: Rohit R Ranade
发送时间: 2018年10月22日 17:39
收件人: Qin Wu; Balázs Lengyel; [email-masked]
主题: RE: New Version Notification for draft-wu-netmod-factory-default-01.txt

[Qin]: Understand your concern, but I think the new operation can be handled in the same way as <discard-changes> in RFC6241, I see no error handling to be specified for <discard-changes>.
In addition, rpc-reply can be used to carry these error-option information and indicate failure reason.

With Regards,
Rohit R

From: Qin Wu
Sent: 22 October 2018 12:25
To: Rohit R Ranade <[email-masked]<mailto:[email-masked]>>; Balázs Lengyel <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: New Version Notification for draft-wu-netmod-factory-default-01.txt

Some suggestions,

[Qin]: works for me.

[Qin]: Okay.

With Regards,

Rohit R

Hello,

regards Balazs

-------- Forwarded Message --------
Subject:

Date:

From:

To:

Abstract:

The IETF Secretariat

--

Senior Specialist